# Class AtomicInteger

java.lang.Object
java.lang.Number
java.util.concurrent.atomic.AtomicInteger

All Implemented Interfaces:
  `java.io.Serializable`

public class AtomicInteger extends Number implements java.io.Serializable
CLDC11 subset stub. Compile-time visible only; the actual runtime implementation comes from the platform (the Android JDK on Android, `vm/JavaAPI` on ParparVM, the host JDK in the JavaSE simulator).

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AtomicInteger()`
  `AtomicInteger(int initialValue)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final int`
  `addAndGet(int delta)`
  `final boolean`
  `compareAndSet(int expect, int update)`
  `final int`
  `decrementAndGet()`
  `double`
  `doubleValue()`
  `float`
  `floatValue()`
  `final int`
  `get()`
  `final int`
  `getAndAdd(int delta)`
  `final int`
  `getAndDecrement()`
  `final int`
  `getAndIncrement()`
  `final int`
  `getAndSet(int newValue)`
  `final int`
  `incrementAndGet()`
  `int`
  `intValue()`
  `final void`
  `lazySet(int newValue)`
  `long`
  `longValue()`
  `final void`
  `set(int newValue)`
  `final boolean`
  `weakCompareAndSet(int expect, int update)`

  ### Methods inherited from class Number

  `byteValue, shortValue`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AtomicInteger

    public AtomicInteger(int initialValue)

  - ### AtomicInteger

    public AtomicInteger()

- ## Method Details

  - ### get

    public final int get()

  - ### set

    public final void set(int newValue)

  - ### lazySet

    public final void lazySet(int newValue)

  - ### getAndSet

    public final int getAndSet(int newValue)

  - ### compareAndSet

    public final boolean compareAndSet(int expect, int update)

  - ### weakCompareAndSet

    public final boolean weakCompareAndSet(int expect, int update)

  - ### getAndIncrement

    public final int getAndIncrement()

  - ### getAndDecrement

    public final int getAndDecrement()

  - ### getAndAdd

    public final int getAndAdd(int delta)

  - ### incrementAndGet

    public final int incrementAndGet()

  - ### decrementAndGet

    public final int decrementAndGet()

  - ### addAndGet

    public final int addAndGet(int delta)

  - ### intValue

    public int intValue()
    Specified by:
      `intValue` in class `Number`

  - ### longValue

    public long longValue()
    Specified by:
      `longValue` in class `Number`

  - ### floatValue

    public float floatValue()
    Specified by:
      `floatValue` in class `Number`

  - ### doubleValue

    public double doubleValue()
    Specified by:
      `doubleValue` in class `Number`